Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Roy Marples (uberlord)" <uberlord@g.o>
Subject: gentoo-x86 commit in sys-freebsd/freebsd-lib: freebsd-lib-6.2-r3.ebuild ChangeLog
Date: Sat, 03 Nov 2007 02:24:27 +0000
uberlord    07/11/03 02:24:27

  Modified:             freebsd-lib-6.2-r3.ebuild ChangeLog
  Log:
  Remove the internal hesiod support and use the ebuild instead.
  (Portage version: 2.1.3.16)

Revision  Changes    Path
1.2                  sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild?r1=1.1&r2=1.2

Index: freebsd-lib-6.2-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- freebsd-lib-6.2-r3.ebuild	23 Oct 2007 12:02:10 -0000	1.1
+++ freebsd-lib-6.2-r3.ebuild	3 Nov 2007 02:24:26 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild,v 1.1 2007/10/23 12:02:10 uberlord Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/freebsd-lib-6.2-r3.ebuild,v 1.2 2007/11/03 02:24:26 uberlord Exp $
 
 inherit bsdmk freebsd flag-o-matic toolchain-funcs
 
@@ -8,7 +8,7 @@
 SLOT="6.0"
 KEYWORDS="~sparc-fbsd ~x86-fbsd"
 
-IUSE="atm bluetooth ssl ipv6 kerberos nis gpib build bootstrap"
+IUSE="atm bluetooth ssl hesiod ipv6 kerberos nis gpib build bootstrap"
 
 # Crypto is needed to have an internal OpenSSL header
 # sys is needed for libalias, probably we can just extract that instead of
@@ -25,6 +25,7 @@
 
 if [ "${CATEGORY#*cross-}" = "${CATEGORY}" ]; then
 	RDEPEND="ssl? ( dev-libs/openssl )
+		hesiod? ( net-dns/hesiod )
 		kerberos? ( virtual/krb5 )
 		!sys-freebsd/freebsd-headers"
 	DEPEND="${RDEPEND}
@@ -60,6 +61,7 @@
 
 	use atm || mymakeopts="${mymakeopts} NO_ATM= "
 	use bluetooth || mymakeopts="${mymakeopts} NO_BLUETOOTH= "
+	use hesiod || mymakeopts="${mymakeopts} NO_HESIOD_LIBC= "
 	use ssl || mymakeopts="${mymakeopts} NO_OPENSSL= NO_CRYPT= "
 	use ipv6 || mymakeopts="${mymakeopts} NO_INET6= "
 	use kerberos || mymakeopts="${mymakeopts} NO_KERBEROS= "
@@ -126,6 +128,12 @@
 		rm "${x}".bak
 	done
 
+	# Don't install the hesiod man page or header
+	rm "${WORKDIR}"/include/hesiod.h || die
+	sed -i.bak -e 's:hesiod.h::' "${WORKDIR}"/include/Makefile || die
+	sed -i.bak -e 's:hesiod.c::' -e 's:hesiod.3::' \
+	"${WORKDIR}"/lib/libc/net/Makefile.inc || die
+
 	# Apply this patch for Gentoo/FreeBSD/SPARC64 to build correctly
 	# from catalyst, then don't do anything else
 	if use build; then



1.58                 sys-freebsd/freebsd-lib/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog?rev=1.58&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog?rev=1.58&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog?r1=1.57&r2=1.58

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog,v
retrieving revision 1.57
retrieving revision 1.58
diff -u -r1.57 -r1.58
--- ChangeLog	23 Oct 2007 12:02:10 -0000	1.57
+++ ChangeLog	3 Nov 2007 02:24:26 -0000	1.58
@@ -1,6 +1,12 @@
 # ChangeLog for sys-freebsd/freebsd-lib
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog,v 1.57 2007/10/23 12:02:10 uberlord Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-freebsd/freebsd-lib/ChangeLog,v 1.58 2007/11/03 02:24:26 uberlord Exp $
+
+  03 Nov 2007; Roy Marples <uberlord@g.o> freebsd-lib-6.2-r3.ebuild:
+  Remove the internal hesiod support and use the ebuild instead.
+
+  03 Nov 2007; Roy Marples <uberlord@g.o> freebsd-lib-6.2-r3.ebuild:
+  Remove the internal hesiod support and use the ebuild instead.
 
 *freebsd-lib-6.2-r3 (23 Oct 2007)
 



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-dns/hesiod: hesiod-3.0.2-r1.ebuild ChangeLog hesiod-3.0.2.ebuild hesiod-3.0.2-r2.ebuild
Next by thread:
gentoo-x86 commit in media-fonts/vlgothic: ChangeLog vlgothic-20071031.ebuild vlgothic-20070915.ebuild vlgothic-20070924.ebuild vlgothic-20070731.ebuild vlgothic-20070901.ebuild
Previous by date:
gentoo-x86 commit in net-dns/hesiod: hesiod-3.0.2-r1.ebuild ChangeLog hesiod-3.0.2.ebuild hesiod-3.0.2-r2.ebuild
Next by date:
gentoo-x86 commit in dev-java/ant-tasks: ChangeLog ant-tasks-1.6.5-r4.ebuild


Updated Oct 20, 2010

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.